# Speedlane

#### What is it?
Speedlane provides a minimalistic starting point for building a RESTful API. Built for speed and simplicity on ES7. 

#### What makes Speedlane different?
Every core part of Speedlane has been reviewed for performance.

# Examples
Check the example scripts in the `examples` directory.

# Usage
- Speedlane only allows 1 listener per route (if you need more than 1, you're doing something wrong)
- Middleware is executed in the order it is defined in
- All HTTP methods supported by the HTTP module are supported by Speedlane

# Guideline
- Always minimise the amount of code required
- Only install modules if necessary
- Don't implement helper functions, validation, or function overloading